Package org.mariadb.jdbc.message.client

## Class ClosePreparePacket

- java.lang.Object
- - org.mariadb.jdbc.message.client.ClosePreparePacket

All Implemented Interfaces:
  `org.mariadb.jdbc.message.ClientMessage`

    public final class ClosePreparePacket
    extends Object
    implements org.mariadb.jdbc.message.ClientMessage

Client mysql COM_STMT_CLOSE packet COM_STMT_CLOSE packet. See https://mariadb.com/kb/en/3-binary-protocol-prepared-statements-com_stmt_close/

### Constructor Summary

Constructors
`ClosePreparePacket​(int statementId)` Constructor for a prepare statement id

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `encode​(Writer writer, org.mariadb.jdbc.client.Context context)` send packet to socket

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.mariadb.jdbc.message.ClientMessage

`batchUpdateLength, binaryProtocol, canSkipMeta, description, readPacket, validateLocalFileName`

### Constructor Detail

#### ClosePreparePacket

    public ClosePreparePacket​(int statementId)

Constructor for a prepare statement id

Parameters:
  `statementId` - statement identifier

### Method Detail

#### encode

    public int encode​(Writer writer,
                      org.mariadb.jdbc.client.Context context)
               throws IOException

send packet to socket

Specified by:
  `encode` in interface `org.mariadb.jdbc.message.ClientMessage`
Parameters:
  `writer` - socket writer
  `context` - connection context
Returns:
  number of client message written
Throws:
  `IOException` - if socket error occur